PROJ = testwp1
PROJFILE = testwp1.mak
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
BIND  = bind
RC  = rc
IMPLIB  = implib
LFLAGS_G  = /BATCH
#LFLAGS_D  = /CO /TINY /FAR /MAP
LFLAGS_D  = /CO /FAR /PACKC /MAP
LFLAGS_R  = /EXE /FAR /PACKC
MAPFILE_D  = $(PROJ).map
MAPFILE_R  = NUL
#RT_OBJS  = crtcom.lib
CC  = cl
CFLAGS_G  = /W3 /BATCH /Zp /AS
CFLAGS_D  = /Od /Zid /DDEBUG /Fc /Gs
CFLAGS_R  = /Od /Gs
LLIBS_R  =  OLDNAMES SLIBCE GENERALS SGGEN SGWAVE SGMIXER
LLIBS_D  =  OLDNAMES SLIBCE GENERALS SGGEN SGWAVE SGMIXER
ASM  = masm51
#AFLAGS_G  = /Mx /T /DMTINY /DTESTCOM
AFLAGS_G  = /Mx /t /DTESTCOM
AFLAGS_D  = /Zi /DDEBUG

OBJS  = DEMOWDP1.obj 
SBRS  = DEMOWDP1.sbr 

all: $(PROJ).exe

.SUFFIXES: .c .sbr .obj .asm

DEMOWDP1.obj : DEMOWDP1.C
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /FoDEMOWDP1.obj DEMOWDP1.C
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /FoDEMOWDP1.obj DEMOWDP1.C
!ENDIF

DEMOWDP1.sbr : DEMOWDP1.C
!IF $(DEBUG)
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FRDEMOWDP1.sbr DEMOWDP1.C
!ELSE
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FRDEMOWDP1.sbr DEMOWDP1.C
!ENDIF

$(PROJ).bsc : $(SBRS)
	$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf


.c.sbr :
!IF $(DEBUG)
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF

.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF

.asm.obj :
!IF $(DEBUG)
	$(ASM) $(AFLAGS_G) $(AFLAGS_D) $<, $@;
!ELSE
	$(ASM) $(AFLAGS_G) $(AFLAGS_R) $<, $@;
!ENDIF


run: $(PROJ).exe
	$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
